Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.w3.org/1999/xhtml-netuix-modified/1.0.0
complexType button.content

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.w3.org/1999/xhtml-netuix-modified/1.0.0}button.content (restriction)

Documentation

            button uses "Flow" but excludes a, form and form controls

Properties
  This component is not nillable.

Model
  `<...>
  (p | (h1 | h2 | h3 | h4 | h5 | h6) | div | (ul | ol | dl) | (pre | hr | blockquote | address) | table | ((br | span | bdo | map) | objecttag | img) | (tt | i | b | big | small) | (em | strong | dfn | code | q | samp | kbd | var | cite | abbr | acronym | sub | sup) | (noscript | (ins | del | script) ) )*
  </...>`

Nested Element Summary
`` | `abbr`
`` | `acronym`
`` | `address`
`` | `b`
`` | `bdo`
`` | `big`
`` | `blockquote`
`` | `br`
`` | `cite`
`` | `code`
`` | `del`
`` | `dfn`
`` | `div`
`` | `dl`
`` | `em`
`` | `h1`
`` | `h2`
`` | `h3`
`` | `h4`
`` | `h5`
`` | `h6`
`` | `hr`
`` | `i`
`` | `img`
`` | `ins`
`` | `kbd`
`` | `map`
`` | `noscript`
`` | `objecttag`
`` | `ol`
`` | `p`
`` | `pre`
`` | `q`
`` | `samp`
`` | `script`
`` | `small`
`` | `span`
`` | `strong`
`` | `sub`
`` | `sup`
`` | `table`
`` | `tt`
`` | `ul`
`` | `var`

Source

      <xs:complexType mixed="true" name="button.content">
        <xs:choice maxOccurs="unbounded" minOccurs="0">
          <xs:element ref="p"/>
          <xs:group ref="heading"/>
          <xs:element ref="div"/>
          <xs:group ref="lists"/>
          <xs:group ref="blocktext"/>
          <xs:element ref="table"/>
          <xs:group ref="special"/>
          <xs:group ref="fontstyle"/>
          <xs:group ref="phrase"/>
          <xs:group ref="misc"/>
        </xs:choice>
      </xs:complexType>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation